List IP pools
List the account’s dedicated-IP pools. Member IPs are not included (ips is empty); retrieve a pool to see its members.
GET
/
email
/
ip_pools
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.email.ipPools.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.email.ip_pools.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
iPPools, err := client.Email.IPPools.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", iPPools.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.email().ipPools().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.email.ip_pools.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->email->ipPools->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:ip-pools list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/email/ip_pools \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "primary-pool",
"is_default": true,
"domain_id": null,
"ips": [],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-09-30T02:03:09.474123Z"
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unauthorized",
"detail": "The API key provided is invalid or unauthorized"
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.email.ipPools.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.email.ip_pools.list()
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
iPPools, err := client.Email.IPPools.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", iPPools.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.email().ipPools().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.email.ip_pools.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->email->ipPools->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:ip-pools list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/email/ip_pools \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "primary-pool",
"is_default": true,
"domain_id": null,
"ips": [],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-09-30T02:03:09.474123Z"
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unauthorized",
"detail": "The API key provided is invalid or unauthorized"
}
]
}